diff -ur ooo_SRC680_m140_src.orig/psprint/inc/psprint/printergfx.hxx ooo_SRC680_m140_src/psprint/inc/psprint/printergfx.hxx
--- ooo_SRC680_m140_src.orig/psprint/inc/psprint/printergfx.hxx	2005-11-16 18:20:38.000000000 +0100
+++ ooo_SRC680_m140_src/psprint/inc/psprint/printergfx.hxx	2005-11-16 20:34:25.000000000 +0100
@@ -374,7 +374,7 @@
     void            DrawPolyLine (sal_uInt32 nPoints, const Point* pPath );
     void            DrawPolygon  (sal_uInt32 nPoints, const Point* pPath);
     void            DrawPolyPolygon (sal_uInt32 nPoly, 
-                                     const sal_uInt32 *pPolygonSize, 
+                                     const unsigned long *pPolygonSize, 
                                      const Point** pPolygonList);
     void            DrawPolyLineBezier (sal_uInt32 nPoints, 
                                      const Point* pPath,
@@ -383,7 +383,7 @@
                                      const Point* pPath,
                                      const BYTE* pFlgAry);
     void            DrawPolyPolygonBezier  (sal_uInt32 nPoly,
-                                     const sal_uInt32* pPoints, 
+                                     const unsigned long* pPoints, 
                                      const Point* const* pPtAry,
                                      const BYTE* const* pFlgAry);
 
diff -ur ooo_SRC680_m140_src.orig/psprint/source/printergfx/common_gfx.cxx ooo_SRC680_m140_src/psprint/source/printergfx/common_gfx.cxx
--- ooo_SRC680_m140_src.orig/psprint/source/printergfx/common_gfx.cxx	2005-11-16 18:20:38.000000000 +0100
+++ ooo_SRC680_m140_src/psprint/source/printergfx/common_gfx.cxx	2005-11-16 20:34:25.000000000 +0100
@@ -500,7 +500,7 @@
 }
 
 void
-PrinterGfx::DrawPolyPolygon (sal_uInt32 nPoly, const sal_uInt32* pSizes, const Point** pPaths )
+PrinterGfx::DrawPolyPolygon (sal_uInt32 nPoly, const unsigned long* pSizes, const Point** pPaths )
 {
     // sanity check
     if ( !nPoly || !pPaths || !(maFillColor.Is() || maLineColor.Is()))
@@ -681,7 +681,7 @@
 }
 
 void
-PrinterGfx::DrawPolyPolygonBezier (sal_uInt32 nPoly, const sal_uInt32 * pPoints, const Point* const * pPtAry, const BYTE* const* pFlgAry)
+PrinterGfx::DrawPolyPolygonBezier (sal_uInt32 nPoly, const unsigned long * pPoints, const Point* const * pPtAry, const BYTE* const* pFlgAry)
 {
     const sal_uInt32 nBezString = 1024;
     sal_Char pString[nBezString];
diff -ur ooo_SRC680_m140_src.orig/vcl/unx/inc/pspgraphics.h ooo_SRC680_m140_src/vcl/unx/inc/pspgraphics.h
--- ooo_SRC680_m140_src.orig/vcl/unx/inc/pspgraphics.h	2005-11-16 18:19:52.000000000 +0100
+++ ooo_SRC680_m140_src/vcl/unx/inc/pspgraphics.h	2005-11-16 20:34:25.000000000 +0100
@@ -152,7 +152,7 @@
     virtual void			drawPolyLine( ULONG nPoints, const SalPoint* pPtAry );
     virtual void			drawPolygon( ULONG nPoints, const SalPoint* pPtAry );
     virtual void			drawPolyPolygon( ULONG nPoly,
-                                             const ULONG* pPoints,
+                                             const unsigned long* pPoints,
                                              PCONSTSALPOINT* pPtAry );
     virtual sal_Bool		drawPolyLineBezier( ULONG nPoints,
                                                 const SalPoint* pPtAry,
@@ -161,7 +161,7 @@
                                                const SalPoint* pPtAry,
                                                const BYTE* pFlgAry );
     virtual sal_Bool		drawPolyPolygonBezier( ULONG nPoly,
-                                                   const ULONG* pPoints,
+                                                   const unsigned long* pPoints,
                                                    const SalPoint* const* pPtAry,
                                                    const BYTE* const* pFlgAry );
     virtual void			copyArea( long nDestX,
diff -ur ooo_SRC680_m140_src.orig/vcl/unx/source/gdi/pspgraphics.cxx ooo_SRC680_m140_src/vcl/unx/source/gdi/pspgraphics.cxx
--- ooo_SRC680_m140_src.orig/vcl/unx/source/gdi/pspgraphics.cxx	2005-11-16 18:19:52.000000000 +0100
+++ ooo_SRC680_m140_src/vcl/unx/source/gdi/pspgraphics.cxx	2005-11-16 20:34:25.000000000 +0100
@@ -385,7 +385,7 @@
 }
 
 void PspGraphics::drawPolyPolygon( ULONG			nPoly,
-								   const ULONG	   *pPoints,
+								   const unsigned long	   *pPoints,
 								   PCONSTSALPOINT  *pPtAry )
 {
     m_pPrinterGfx->DrawPolyPolygon (nPoly, pPoints, (const Point**)pPtAry);
@@ -404,7 +404,7 @@
 }
 
 sal_Bool PspGraphics::drawPolyPolygonBezier( ULONG nPoly,
-                                             const ULONG* pPoints,
+                                             const unsigned long* pPoints,
                                              const SalPoint* const* pPtAry,
                                              const BYTE* const* pFlgAry )
 {
